Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Interface ActionLifecycle

All Known Subinterfaces:
  ActionPipelineProcessor

All Known Implementing Classes:
  AbstractActionLifecycle, AbstractActionPipelineProcessor, AbstractObjectXStream, AbstractRouter, AbstractSpringAction, Aggregator, BeanConfigActionProcessor, BpmProcessor, BusinessRulesProcessor, ByteArrayToString, ContentBasedRouter, ContentBasedWiretap, EchoRouter, EJBProcessor, FileNameGeneratorAction, GroovyActionProcessor, HttpRouter, HttpRouter, JBpmCallback, JMSRouter, MessageFilter, MessagePersister, MessageRedeliverer, MockAction, Notifier, ObjectInvoke, ObjectToCSVString, ObjectToXStream, PropertySetter, ScriptingAction, SmooksAction, SmooksAction, SmooksTransformer, SOAPClient, SOAPClient, SOAPProcessor, StaticRouter, StaticWiretap, StoreMessageToFile, StringTemplateProcessor, SystemPrintln, TestMessageStore, XStreamToObject

    public interface ActionLifecycle

Interface representing lifecycle methods of an action.

Actions implementing this interface will participate in the application lifecycle and should not contain any state specific to a particular message instance. Each `ActionProcessingPipeline` will instantiate a single instance of the action to process all messages passing through the pipeline.

Author:
  kevin

Method Summary
`void` | `destroy()` Destroy the action instance.
`void` | `initialise()` Initialise the action instance.

Method Detail

### initialise

    void initialise()
                    throws ActionLifecycleException

  Initialise the action instance.

  This method is called after the action instance has been instantiated so that configuration options can be validated.

  Throws:
    `ActionLifecycleException` - for errors during initialisation.

### destroy

    void destroy()
                 throws ActionLifecycleException

  Destroy the action instance.

  This method is called prior to the release of the action instance. All resources associated with this action instance should be released as the instance will no longer be used.

  Throws:
    `ActionLifecycleException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD